Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.contact
Class ContactProperty

    java.lang.Object
      |
      +--com.compoze.contact.ContactProperty

All Implemented Interfaces:
  com.compoze.common.IProperty, java.io.Serializable

public class ContactProperty
extends java.lang.Object
implements com.compoze.common.IProperty, java.io.Serializable

This class stores the values for the `Contact` property tags. Unless you are working with property name, for example if you're working with sorting, you do not need to worry about these constants as their use is mostly abstracted away from the programmer.

The internationalizable string values are stored in the `contact_resources.properties` file (accessed through `ContactResources`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static ContactProperty` | `ANNIVERSARY` This value represents the contact property 'anniversary'.
`static ContactProperty` | `ASSISTANT_NAME` This value represents the contact property 'assistant name'.
`static ContactProperty` | `ASSISTANT_TELEPHONE_NUMBER` This value represents the contact property 'assistant telephone number'.
`static ContactProperty` | `AUTHOR` This value represents the contact property 'author'.
`static ContactProperty` | `BIRTHDAY` This value represents the contact property 'birthday'.
`static ContactProperty` | `BUSINESS_ADDRESS_CITY` This value represents the contact property 'business address city'.
`static ContactProperty` | `BUSINESS_ADDRESS_COUNTRY` This value represents the contact property 'business address country'.
`static ContactProperty` | `BUSINESS_ADDRESS_POST_OFFICE_BOX` This value represents the contact property 'business address post office box'.
`static ContactProperty` | `BUSINESS_ADDRESS_POSTAL_CODE` This value represents the contact property 'business address postal code'.
`static ContactProperty` | `BUSINESS_ADDRESS_STATE_OR_PROVINCE` This value represents the contact property 'business address state or province'.
`static ContactProperty` | `BUSINESS_ADDRESS_STREET` This value represents the contact property 'business address street'.
`static ContactProperty` | `BUSINESS_FAX_NUMBER` This value represents the contact property 'business fax number'.
`static ContactProperty` | `BUSINESS_TELEPHONE_NUMBER` This value represents the contact property 'business telephone number'.
`static ContactProperty` | `CAR_TELEPHONE_NUMBER` This value represents the contact property 'car telephone number'.
`static ContactProperty` | `CATEGORY` This value represents the contact property 'category'.
`static ContactProperty` | `COMPANY_NAME` This value represents the contact property 'company name'.
`static ContactProperty` | `CUSTOM_NUM1` This value represents the contact property 'custom num 1'.
`static ContactProperty` | `CUSTOM_NUM2` This value represents the contact property 'custom num 2'.
`static ContactProperty` | `CUSTOM_NUM3` This value represents the contact property 'custom num 3'.
`static ContactProperty` | `CUSTOM_STR1` This value represents the contact property 'custom str 1'.
`static ContactProperty` | `CUSTOM_STR2` This value represents the contact property 'custom str 2'.
`static ContactProperty` | `CUSTOM_STR3` This value represents the contact property 'custom str 3'.
`static ContactProperty` | `CUSTOM_STR4` This value represents the contact property 'custom str 4'.
`static ContactProperty` | `DATE_CREATED` This value represents the contact property 'date created'.
`static ContactProperty` | `DATE_LAST_MODIFIED` This value represents the contact property 'date last modified'.
`static ContactProperty` | `DEPARTMENT_NAME` This value represents the contact property 'department name'.
`static ContactProperty` | `EMAIL_ADDRESS` This value represents the contact property 'email address'.
`static ContactProperty` | `EMAIL2_ADDRESS` This value represents the contact property 'email2 address'.
`static ContactProperty` | `EMAIL3_ADDRESS` This value represents the contact property 'email3 address'.
`static ContactProperty` | `FIRST_NAME` This value represents the contact property 'first name'.
`static ContactProperty` | `FLAG` This value represents the contact property 'flag'.
`static ContactProperty` | `FTP_SITE` This value represents the contact property 'ftp site'.
`static ContactProperty` | `HOME_ADDRESS_CITY` This value represents the contact property 'home address city'.
`static ContactProperty` | `HOME_ADDRESS_COUNTRY` This value represents the contact property 'home address country'.
`static ContactProperty` | `HOME_ADDRESS_POST_OFFICE_BOX` This value represents the contact property 'home address post office box'.
`static ContactProperty` | `HOME_ADDRESS_POSTAL_CODE` This value represents the contact property 'home address postal code'.
`static ContactProperty` | `HOME_ADDRESS_STATE_OR_PROVINCE` This value represents the contact property 'home address state or province'.
`static ContactProperty` | `HOME_ADDRESS_STREET` This value represents the contact property 'home address street'.
`static ContactProperty` | `HOME_FAX_NUMBER` This value represents the contact property 'home fax number'.
`static ContactProperty` | `HOME_TELEPHONE_NUMBER` This value represents the contact property 'home telephone number'.
`static ContactProperty` | `LAST_NAME` This value represents the contact property 'last name'.
`static ContactProperty` | `MAILING_ADDRESS` This value represents the contact property 'mailing address'.
`static ContactProperty` | `MANAGER_NAME` This value represents the contact property 'manager name'.
`static ContactProperty` | `MIDDLE_NAME` This value represents the contact property 'middle name'.
`static ContactProperty` | `MOBILE_TELEPHONE_NUMBER` This value represents the contact property 'mobile telephone number'.
`static ContactProperty` | `NAME_PREFIX` This value represents the contact property 'name prefix'.
`static ContactProperty` | `NAME_SUFFIX` This value represents the contact property 'name suffix'.
`static ContactProperty` | `NICKNAME` This value represents the contact property 'nickname'.
`static ContactProperty` | `OFFICE_LOCATION` This value represents the contact property 'office location'.
`static ContactProperty` | `OTHER_ADDRESS_CITY` This value represents the contact property 'other address city'.
`static ContactProperty` | `OTHER_ADDRESS_COUNTRY` This value represents the contact property 'other address country'.
`static ContactProperty` | `OTHER_ADDRESS_POST_OFFICE_BOX` This value represents the contact property 'other address post office box'.
`static ContactProperty` | `OTHER_ADDRESS_POSTAL_CODE` This value represents the contact property 'other address postal code'.
`static ContactProperty` | `OTHER_ADDRESS_STATE_OR_PROVINCE` This value represents the contact property 'other address state or province'.
`static ContactProperty` | `OTHER_ADDRESS_STREET` This value represents the contact property 'other address street'.
`static ContactProperty` | `OTHER_TELEPHONE_NUMBER` This value represents the contact property 'other telephone number'.
`static ContactProperty` | `PAGER_TELEPHONE_NUMBER` This value represents the contact property 'pager telephone number'.
`static ContactProperty` | `PICTURE_IMAGE` This value represents the contact property 'picture image'.
`static java.util.List` | `s_properties` An array containing all of the fixed contact properties.
`static ContactProperty` | `SPOUSE_NAME` This value represents the contact property 'spouse name'.
`static ContactProperty` | `TITLE` This value represents the contact property 'title'.
`static ContactProperty` | `WEB_PAGE` This value represents the contact property 'web page'.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static ContactProperty` | `get(java.lang.String sName)` Gets the property by the name in the system default locale.
`static java.util.List` | `getList()` Gets the list of properties.
`java.lang.String` | `getName()` Gets the name of the property using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the property using the specified locale.
`java.lang.String` | `getStoreValue()` Gets the value that's used to store the property in the storage system.
`static void` | `main(java.lang.String[] args)` Returns a string representation of the object.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### s_properties

    public static java.util.List s_properties

  An array containing all of the fixed contact properties.

### PICTURE_IMAGE

    public static final ContactProperty PICTURE_IMAGE

  This value represents the contact property 'picture image'.

### FIRST_NAME

    public static final ContactProperty FIRST_NAME

  This value represents the contact property 'first name'.

### MIDDLE_NAME

    public static final ContactProperty MIDDLE_NAME

  This value represents the contact property 'middle name'.

### LAST_NAME

    public static final ContactProperty LAST_NAME

  This value represents the contact property 'last name'.

### NICKNAME

    public static final ContactProperty NICKNAME

  This value represents the contact property 'nickname'.

### CATEGORY

    public static final ContactProperty CATEGORY

  This value represents the contact property 'category'.

### NAME_PREFIX

    public static final ContactProperty NAME_PREFIX

  This value represents the contact property 'name prefix'.

### NAME_SUFFIX

    public static final ContactProperty NAME_SUFFIX

  This value represents the contact property 'name suffix'.

### AUTHOR

    public static final ContactProperty AUTHOR

  This value represents the contact property 'author'.

### DATE_CREATED

    public static final ContactProperty DATE_CREATED

  This value represents the contact property 'date created'.

### DATE_LAST_MODIFIED

    public static final ContactProperty DATE_LAST_MODIFIED

  This value represents the contact property 'date last modified'.

### COMPANY_NAME

    public static final ContactProperty COMPANY_NAME

  This value represents the contact property 'company name'.

### DEPARTMENT_NAME

    public static final ContactProperty DEPARTMENT_NAME

  This value represents the contact property 'department name'.

### MANAGER_NAME

    public static final ContactProperty MANAGER_NAME

  This value represents the contact property 'manager name'.

### ASSISTANT_NAME

    public static final ContactProperty ASSISTANT_NAME

  This value represents the contact property 'assistant name'.

### OFFICE_LOCATION

    public static final ContactProperty OFFICE_LOCATION

  This value represents the contact property 'office location'.

### TITLE

    public static final ContactProperty TITLE

  This value represents the contact property 'title'.

### BIRTHDAY

    public static final ContactProperty BIRTHDAY

  This value represents the contact property 'birthday'.

### ANNIVERSARY

    public static final ContactProperty ANNIVERSARY

  This value represents the contact property 'anniversary'.

### SPOUSE_NAME

    public static final ContactProperty SPOUSE_NAME

  This value represents the contact property 'spouse name'.

### WEB_PAGE

    public static final ContactProperty WEB_PAGE

  This value represents the contact property 'web page'.

### FTP_SITE

    public static final ContactProperty FTP_SITE

  This value represents the contact property 'ftp site'.

### FLAG

    public static final ContactProperty FLAG

  This value represents the contact property 'flag'.

### CAR_TELEPHONE_NUMBER

    public static final ContactProperty CAR_TELEPHONE_NUMBER

  This value represents the contact property 'car telephone number'.

### MOBILE_TELEPHONE_NUMBER

    public static final ContactProperty MOBILE_TELEPHONE_NUMBER

  This value represents the contact property 'mobile telephone number'.

### PAGER_TELEPHONE_NUMBER

    public static final ContactProperty PAGER_TELEPHONE_NUMBER

  This value represents the contact property 'pager telephone number'.

### OTHER_TELEPHONE_NUMBER

    public static final ContactProperty OTHER_TELEPHONE_NUMBER

  This value represents the contact property 'other telephone number'.

### BUSINESS_TELEPHONE_NUMBER

    public static final ContactProperty BUSINESS_TELEPHONE_NUMBER

  This value represents the contact property 'business telephone number'.

### ASSISTANT_TELEPHONE_NUMBER

    public static final ContactProperty ASSISTANT_TELEPHONE_NUMBER

  This value represents the contact property 'assistant telephone number'.

### HOME_TELEPHONE_NUMBER

    public static final ContactProperty HOME_TELEPHONE_NUMBER

  This value represents the contact property 'home telephone number'.

### HOME_FAX_NUMBER

    public static final ContactProperty HOME_FAX_NUMBER

  This value represents the contact property 'home fax number'.

### BUSINESS_FAX_NUMBER

    public static final ContactProperty BUSINESS_FAX_NUMBER

  This value represents the contact property 'business fax number'.

### EMAIL_ADDRESS

    public static final ContactProperty EMAIL_ADDRESS

  This value represents the contact property 'email address'.

### EMAIL2_ADDRESS

    public static final ContactProperty EMAIL2_ADDRESS

  This value represents the contact property 'email2 address'.

### EMAIL3_ADDRESS

    public static final ContactProperty EMAIL3_ADDRESS

  This value represents the contact property 'email3 address'.

### MAILING_ADDRESS

    public static final ContactProperty MAILING_ADDRESS

  This value represents the contact property 'mailing address'.

### HOME_ADDRESS_POST_OFFICE_BOX

    public static final ContactProperty HOME_ADDRESS_POST_OFFICE_BOX

  This value represents the contact property 'home address post office box'.

### HOME_ADDRESS_STREET

    public static final ContactProperty HOME_ADDRESS_STREET

  This value represents the contact property 'home address street'.

### HOME_ADDRESS_CITY

    public static final ContactProperty HOME_ADDRESS_CITY

  This value represents the contact property 'home address city'.

### HOME_ADDRESS_STATE_OR_PROVINCE

    public static final ContactProperty HOME_ADDRESS_STATE_OR_PROVINCE

  This value represents the contact property 'home address state or province'.

### HOME_ADDRESS_POSTAL_CODE

    public static final ContactProperty HOME_ADDRESS_POSTAL_CODE

  This value represents the contact property 'home address postal code'.

### HOME_ADDRESS_COUNTRY

    public static final ContactProperty HOME_ADDRESS_COUNTRY

  This value represents the contact property 'home address country'.

### BUSINESS_ADDRESS_POST_OFFICE_BOX

    public static final ContactProperty BUSINESS_ADDRESS_POST_OFFICE_BOX

  This value represents the contact property 'business address post office box'.

### BUSINESS_ADDRESS_STREET

    public static final ContactProperty BUSINESS_ADDRESS_STREET

  This value represents the contact property 'business address street'.

### BUSINESS_ADDRESS_CITY

    public static final ContactProperty BUSINESS_ADDRESS_CITY

  This value represents the contact property 'business address city'.

### BUSINESS_ADDRESS_STATE_OR_PROVINCE

    public static final ContactProperty BUSINESS_ADDRESS_STATE_OR_PROVINCE

  This value represents the contact property 'business address state or province'.

### BUSINESS_ADDRESS_POSTAL_CODE

    public static final ContactProperty BUSINESS_ADDRESS_POSTAL_CODE

  This value represents the contact property 'business address postal code'.

### BUSINESS_ADDRESS_COUNTRY

    public static final ContactProperty BUSINESS_ADDRESS_COUNTRY

  This value represents the contact property 'business address country'.

### OTHER_ADDRESS_POST_OFFICE_BOX

    public static final ContactProperty OTHER_ADDRESS_POST_OFFICE_BOX

  This value represents the contact property 'other address post office box'.

### OTHER_ADDRESS_STREET

    public static final ContactProperty OTHER_ADDRESS_STREET

  This value represents the contact property 'other address street'.

### OTHER_ADDRESS_CITY

    public static final ContactProperty OTHER_ADDRESS_CITY

  This value represents the contact property 'other address city'.

### OTHER_ADDRESS_STATE_OR_PROVINCE

    public static final ContactProperty OTHER_ADDRESS_STATE_OR_PROVINCE

  This value represents the contact property 'other address state or province'.

### OTHER_ADDRESS_POSTAL_CODE

    public static final ContactProperty OTHER_ADDRESS_POSTAL_CODE

  This value represents the contact property 'other address postal code'.

### OTHER_ADDRESS_COUNTRY

    public static final ContactProperty OTHER_ADDRESS_COUNTRY

  This value represents the contact property 'other address country'.

### CUSTOM_NUM1

    public static final ContactProperty CUSTOM_NUM1

  This value represents the contact property 'custom num 1'.

### CUSTOM_NUM2

    public static final ContactProperty CUSTOM_NUM2

  This value represents the contact property 'custom num 2'.

### CUSTOM_NUM3

    public static final ContactProperty CUSTOM_NUM3

  This value represents the contact property 'custom num 3'.

### CUSTOM_STR1

    public static final ContactProperty CUSTOM_STR1

  This value represents the contact property 'custom str 1'.

### CUSTOM_STR2

    public static final ContactProperty CUSTOM_STR2

  This value represents the contact property 'custom str 2'.

### CUSTOM_STR3

    public static final ContactProperty CUSTOM_STR3

  This value represents the contact property 'custom str 3'.

### CUSTOM_STR4

    public static final ContactProperty CUSTOM_STR4

  This value represents the contact property 'custom str 4'.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the property using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the property using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public java.lang.String getStoreValue()

  Gets the value that's used to store the property in the storage system.
  Returns:
    the store value

### get

    public static ContactProperty get(java.lang.String sName)

  Gets the property by the name in the system default locale.
  Parameters:
    `sName` - the name in the system default locale
  Returns:
    the matching property or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of properties.
  Returns:
    the list of `ContactProperty`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

### main

    public static void main(java.lang.String[] args)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.